
/* -=-=-=-=-=-=-=-=-=-= [ core.php ] =-=-=-=-=-=-=-=-=-=-
  The global styles, including the layout of your 
  navigation, content and text formatting
  -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
<?php  

	
	/* -=-=-= Dimensions =-=-=- */
	$gutter           = '10px';   /* Used to separate visual blocks */
	$pageWidth        = '1000px'; /* Width of the Web page */
	$pageWidthPadded  = '980px';  /* $pageWidth minus padding ($gutter x 2) */

	$col1             = '800px';  /* Width of the main content area */
	$col1Padded       = '780px';  /* $col1 minus padding ($gutter x 2) */
	$col2             = '180px';  /* Width of the sidebar area */
	$col2Padded       = '160px';  /* $col2 minus padding ($gutter x 2) */
	
 ?>
/*
	Platform &amp; Browser: <?= $browser_platform . ' ' . $browser_name . ' ' . $browser_ver_full; ?>

*/
body {
	<? if($browser_platform == 'MacOSX') { ?>
  	font: .85em/1.4 normal "Lucida Grande", Verdana, sans-serif;
	<? } else { ?>
  	font: .75em/1.4 normal "Lucida Grande", Verdana, sans-serif;
	<? } ?>
	margin: 0 auto;
	padding: 0;
}

#Wrapper {
	margin: 0 auto;
	width: <?= $pageWidth ?>;
}

	#Wrapper div {
		float: left;
		margin: 0 <?= $gutter ?> <?= $gutter ?> 0;
	}

	#Wrapper div#Container1 {
		clear: both;
		width: <?= $pageWidth ?>
	}
	
	#Wrapper div#Container2 {
		width: <?= $col1 ?>;
	}

	#Wrapper div#Container3 {
		margin-left: <?= $gutter ?>;
		margin-right: 0;
		width: <?= $col2 ?>;
	}

	#Wrapper div#Container4 {
		clear: both;
		width: <?= $pageWidth ?>
	}
