<?php  
	header('Content-type: text/css');

	/* -=-=-= Browser Detection =-=-=- */
	/* All of the included files can access these variables,
	  so we only have to set them this once */
	
	require_once('../Browscap/Browscap.php');
	// Creates a new Browscap object (loads or creates the cache)
	$bc = new Browscap('../Browscap/cache/');
	// Gets information about the current browser's user agent
	$current_browser = $bc->getBrowser(null,true);
	$browser_platform	= $current_browser['Platform'];
	$browser_name		= $current_browser['Browser'];
	$browser_ver_major	= $current_browser['MajorVer'];
	$browser_ver_minor	= $current_browser['MinorVer'];
	$browser_ver_full	= $current_browser['Version'];	
	
	$is_ie6 = false;
	$is_ie7 = false;
	$is_ff = false;
	$is_safari = false;
	
	if ($browser_name == 'IE' && $browser_ver_major == 6) {
		$is_ie6 = true;
	} elseif ($browser_name == 'IE' && $browser_ver_major >= 7) {
		$is_ie7 = true;
	} elseif ($browser_name == 'Firefox') {
		$is_ff = true;
	} elseif ($browser_name == 'Safari') {
		$is_safari = true;
	}
	
	/* You can ignore this function for the purpose of this write-up. 
	   It's used to ensure someone doesn't inject something directly 
	   into the site via the URL params. */
	
	function makeSafe($variable) {
		$variable = htmlentities($variable, ENT_QUOTES);
		if (get_magic_quotes_gpc()) { 
			$variable = stripslashes($variable); 
		}
		$variable = mysql_real_escape_string(trim($variable));
	 	$variable = strip_tags($variable);
		$variable = str_replace("\r\n", "", $variable);
		return $variable;
	}
	
	/* -=-=-= Import Styles =-=-=- */
	// Grab the parameters send in the link tag, clean them up and set them up as an array
	$cssToInclude = split(',', makeSafe($_GET['include'])); 
	
	/* -=-=-= Core Styles =-=-=- */
	// Let's assume that these two should always be included to ensure your site renders properly
	include_once 'core.php';
	include_once 'scheme.php';
	
	/* -=-=-= Additional Styles =-=-=- */
	// Check to see if specific values are in the array to determine which style sheets to include
	if (in_array('home', $cssToInclude)) {
		include_once 'home.css';
	}
	
	if (in_array('gallery', $cssToInclude)) {
		include_once 'gallery.css';
	}

	if (in_array('archive', $cssToInclude)) {
		include_once 'archive.css';
	}
?>
/* 